{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
}:

buildPythonPackage rec {
  pname = "django-sass-processor";
  version = "1.4.1";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "jrief";
    repo = "django-sass-processor";
    rev = version;
    hash = "sha256-Z3UzzkHlMNiyhj7YPRDgAX0437BywPG/waNSPoNiKLo=";
  };

  nativeBuildInputs = [
    setuptools
    wheel
  ];

  pythonImportsCheck = [ "sass_processor" ];

  meta = with lib; {
    description = "SASS processor to compile SCSS files into *.css, while rendering, or offline";
    homepage = "https://github.com/jrief/django-sass-processor";
    changelog = "https://github.com/jrief/django-sass-processor/blob/${src.rev}/CHANGELOG.md";
    license = licenses.mit;
    maintainers = with maintainers; [ thubrecht ];
  };
}
